import { Module } from '@nestjs/common';
import { UserModule } from './module/user.module';
import { ConfigModule } from '@nestjs/config';
import { TypeOrmModule } from '@nestjs/typeorm';
import { mongo, mysql } from './config/db';
import { MongooseModule } from '@nestjs/mongoose';
import { BaseModule } from './module/base.module';
import { SmsModule } from './module/sms.module';
@Module({
  imports: [
    ConfigModule.forRoot({
      isGlobal: true,
      envFilePath: ['.env.dev', '.env', '.env.prod'],
    }),
    TypeOrmModule.forRoot(mysql),
    MongooseModule.forRoot(mongo),
    UserModule,
    BaseModule,
    SmsModule,
  ],
})
export class AppModule {}
