import { Body, Controller, Get, Post, Render } from '@nestjs/common';
import { BizStatus } from 'src/config/biz.code';
import { IUserRequest } from 'src/dto/user.dto';
import { UserService } from 'src/service/user.service';

@Controller('/user')
export class UserController {
  constructor(private readonly userService: UserService) {}

  @Get('/topic')
  @Render('pages/topic/index')
  async topic() {
    return { name: 'topic' };
  }

  @Get('/course')
  @Render('pages/course/index')
  async course() {
    return { name: 'course' };
  }

  @Post('/create')
  async create(@Body() params: IUserRequest) {
    try {
      await this.userService.createUser(params);
      return { code: BizStatus.OK, data: params };
    } catch (error) {
      console.log(error);
    }
  }
}
